Subject: bug#23231: Modeline popup menus appear below emacs window (off sceen)

From: Lars Hupfeldt Nielsen <[email-masked]>
Date: Fri, 08 Apr 2016 00:08:01 +0200

On Thu, 2016-04-07 at 10:48 +0200, martin rudalics wrote:
>  > This is a click in the mode-line.
> 
> I see.
> 
>  > Tooltips are actually misplaced too, I did not notice that because
> I have
>  > turned the toolbar off.
> 
> Tooltips and the toolbar are not nececessarily related to each other.
> Most entries in the mode line have a tooltip whose left edge should
> appear right under the mouse pointer when it hovers over an
> entry.  The
> popup menus should appear centered under the mouse pointer
> instead.  Can
> you roughly describe the relative positions of tooltip and menu for
> your
> mode line entries?
> 
>  > The further to the right the tool button is, the
>  > longer the distance to the tooltip becomes.
> 
> To the right of what - the left edge of the display or the left edge
> of

The offset is relative to the left and top edge of the display

> the Emacs frame?  Also IIUC x- and y-offsets are affected: Are they
> off
> by the same amounts or proportional to the size of the display?
> 

It seems to be proportional to the display

> What happens when you hold the Ctrl key together with a mouse click
> to
> show the Buffer or the Major Mode menus?  Are these menus off as
> well?
> 

Yes

>  > This happens with no emacs configuration (I hid my .emacs.d).
>  > I'm using a macbook pro with retina display 2800*1800, I don't
> remember
>  > setting any dpi scaling.
>  >
>  > This was working earlier, unfortunately I'm not sure exactly when
> it broke.
> 
> Could you try with an older Emacs?
> 

I compiled these versions:
emacs-24.4	same issue
emacs-25.1.50	same issue
emacs-23.4	WORKS (but has other issues)

> martin